import { Parser, TokenStream } from "antlr4ts";
export declare abstract class OracleParserBase extends Parser {
    private _isVersion12;
    private _isVersion10;
    constructor(input: TokenStream);
    isVersion12(): boolean;
    setVersion12(value: boolean): void;
    isVersion10(): boolean;
    setVersion10(value: boolean): void;
}
